local obj = {
  layer = -3,
  uplayer = 3,
  anim=ez.newanim(ez.newtemplate("game/bug",10,10)),
  initialized = false,
  delete = false

}


function obj.update(dt)
  if not obj.initialized then
    obj.vx = (80 - obj.x) / math.sqrt(((80- obj.x)^2)+((45-obj.y)^2)) * 0.5
    obj.vy = (45 - obj.y) / math.sqrt(((80- obj.x)^2)+((45-obj.y)^2)) * 0.5
    obj.initialized = true
  end
  if states.game.gameover then
    em.init("particlegen",obj.x,obj.y)
    obj.delete =true
    
  end
  if not obj.delete then
    --collision
    if states.game.pomp.canim == 4 and states.game.pomp.stopped <= 8 and states.game.pomp.stopped >= 4 then
      -- hitbox time
      if helpers.collide({x=obj.x-5,y=obj.y-8,width=10,height=8},{x=states.game.pomp.x-3-states.game.pomp.flip*8-(states.game.pomp.flip/2+0.5)*2,y=states.game.pomp.y-16,width=9,height=21}) then
        em.init("particlegen",obj.x,obj.y)
        obj.delete =true
        enemieskilled = enemieskilled + 1
        te.play("assets/sfx_0.wav","static")

          
        
      end
      
    end
    -- check for zoopline
    for i,v in ipairs(entities) do
      if v.name == "zoopline" then
        if helpers.collide({x=obj.x-5,y=obj.y-8,width=10,height=8},{x=v.x-1,y=v.y-1,width=3,height=3}) then
        em.init("particlegen",obj.x,obj.y)
          
          if states.game.fire.hits > 1 and not obj.delete then
        end
          if not obj.delete then
          enemieskilled = enemieskilled + 1
          end
          obj.delete = true
          te.play("assets/sfx_0.wav","static")

          
        
      end
        
      end
      
      
    end
  end
  
  
  ez.animupdate(obj.anim,dt)
  obj.x = obj.x + obj.vx*0.5
  obj.y = obj.y + obj.vy*0.5
  obj.layer = obj.y
  if helpers.distance({obj.x,obj.y},{80,45}) <= 8 then
    states.game.fire.hits = states.game.fire.hits + 1
    em.init("particlegen",obj.x,obj.y)
    obj.delete =true
    te.play("assets/sfx_0.wav","static")
  end

  
end

function obj.draw()
  love.graphics.setColor(colors[1])
  ez.animdraw(obj.anim,obj.x-5, obj.y-8)
  
  --love.graphics.rectangle("line",obj.x-5,obj.y-8,10,8)

end
return obj