local obj = {
  layer = 48,
  uplayer = 3,
  delete =false,
  flip=1,
  keep=true,
  wiggle=0,
  i=0,
  hits=1,
  base = love.graphics.newImage("assets/game/fire/base.png"),
  frames = {}
}
for i=1,12 do
  obj.frames[i] = love.graphics.newImage("assets/game/fire/" .. i-1 .. ".png")
end
function love.keypressed(k)
  if k == "t" then
    obj.hits = obj.hits + 1
  end
end
function obj.update(dt)

  obj.i = obj.i + 1
  if obj.i % 5 == 0 then
    obj.flip = obj.flip * -1
  end
end

function obj.draw()
  local image_wave = obj.frames[obj.hits]
  love.graphics.setColor(colors[1])
	local slice = image_wave:getHeight() / 16
  love.graphics.draw(obj.base,72,33)
	for i=0,16 do
		my_quad = love.graphics.newQuad(0, slice * i, image_wave:getWidth(), slice, image_wave:getWidth(), image_wave:getHeight())
		displace_x =(math.sin(love.timer.getTime()*10 + i*0.75))*(12-i)*0.2
		love.graphics.draw(image_wave, my_quad, 72 + displace_x, 33 + slice * i)
	end

end
return obj