local obj = {
  layer = -5,
  uplayer = 1,
  keep=true,
  i = 0,
  x=0,
  y=0,
  particles = {},
  delete = false
}


function obj.update(dt)
  obj.i = obj.i + dt
  if obj.i %1 == 0 then
    local np = {}
    np.x = 0
    np.y= 0
    np.color = math.random(2,3)
    np.life = math.random(8,10)
    np.xdelt = math.random(-10,10)/10
    np.ydelt = math.random(-10,-20)/10
    table.insert(obj.particles,np)
  end

  
end

function obj.draw()
  if not states.game.gameover then
    for i,v in ipairs(obj.particles) do
      v.x = v.x + v.xdelt
      v.y = v.y + v.ydelt
      v.life = v.life - 1
      love.graphics.setColor(colors[v.color])
      love.graphics.points(v.x+obj.x,v.y+obj.y)
      love.graphics.setColor(colors[1])
      if v.life <= 0 then
        table.remove(obj.particles,i)
      end
    end
  end

end
return obj