local obj = {
  layer = 998,
  uplayer = 3,
  initialized = false,
  delete = false,
  i=0,
  dead=false,
  keep =true,
  deathi = 0,
  intro = 0,
  arml = {x=40,y=-10,spr = love.graphics.newImage("assets/game/boss/arml.png"),hp=150},
  armr = {x=120,y=-10,spr= love.graphics.newImage("assets/game/boss/armr.png"),hp=150},
  head = {x=80,y=-10,spr = love.graphics.newImage("assets/game/boss/head.png"),hp=75},
  gradient = love.graphics.newImage("assets/game/gradient.png"),
  grady = 0
  

}
fboss = obj

function obj.spawnbug()
  localspawnloc = math.random(0,3)
  if spawnloc == 0 then
    em.init("bug",-10,math.random(-10,100))
  elseif spawnloc == 1 then
    em.init("bug",math.random(-10,170),-10)
  elseif spawnloc == 2 then
    em.init("bug",170,math.random(-10,100))
  else
    em.init("bug",math.random(-10,170),100)
  end
  
end

function obj.playmusic()
  te.playLooping("assets/boss.wav","stream","music")
  obj.intro = 1
end

function obj.update(dt)
  if not obj.initialized then
    te.play("assets/bossintro.wav","stream","boss",1,1,fboss.playmusic)
    obj.initialized = true
  end
  if obj.head.hp <=0 and not obj.dead then
    obj.dead = true
    for i,v in ipairs(entities) do
      if not v.keep then
        table.remove(entities,i)
      end
    
  end
  te.stop("all")
  te.playLooping("assets/die.wav","stream")
  newpart = em.init("particlegen",80,32)
  newpart.density = 500
  newpart.life=500
  newpart.length = 500
  newpart.countdown = 500
    
    
  end
  if obj.dead then
for i,v in ipairs(entities) do
      if not v.keep then
        table.remove(entities,i)
      end
    end
    obj.deathi = obj.deathi + 1
    if obj.deathi >= 250 then
      lovebird.print("abort")
      te.stop("all")
      entities = {}
      gs.switch(states.thanks)
    end
    
  end
  if obj.arml.hp <=0 then
    obj.arml.y = obj.arml.y - 1
  end
  
  if obj.armr.hp <=0 then
    obj.armr.y = obj.armr.y - 1
  end
  obj.i = obj.i + 1
  if obj.i >= 128 and obj.i < 256 then
    obj.arml.y = obj.arml.y + 0.5
  end
  if obj.i >= 256 and obj.i < 384 then
    obj.armr.y = obj.armr.y + 0.5
  end
  if obj.i >= 384 and obj.i < 512 then
    obj.head.y = obj.head.y + 0.3
  end
    
  if obj.intro == 1 then
    if states.game.pomp.canim == 4 and states.game.pomp.stopped <= 8 and states.game.pomp.stopped >= 4 then
        -- hitbox time
      if helpers.collide({x=33,y=0,width=14,height=50},{x=states.game.pomp.x-3-states.game.pomp.flip*8-(states.game.pomp.flip/2+0.5)*2,y=states.game.pomp.y-16,width=9,height=21}) then
          local newpart = em.init("particlegen",obj.arml.x,obj.arml.y-5)
          newpart.color = 3
          obj.arml.hp = obj.arml.hp - 1




            
          
      end
  -- hitbox time
      if helpers.collide({x=113,y=0,width=14,height=50},{x=states.game.pomp.x-3-states.game.pomp.flip*8-(states.game.pomp.flip/2+0.5)*2,y=states.game.pomp.y-16,width=9,height=21}) then
          local newpart = em.init("particlegen",obj.armr.x,obj.armr.y-5)
          newpart.color = 3
          obj.armr.hp = obj.armr.hp - 1




            
          
      end
      if helpers.collide({x=64,y=0,width=32,height=32},{x=states.game.pomp.x-3-states.game.pomp.flip*8-(states.game.pomp.flip/2+0.5)*2,y=states.game.pomp.y-16,width=9,height=21}) and obj.armr.hp <= 0 and obj.arml.hp <= 0 then
          local newpart = em.init("particlegen",obj.head.x,obj.head.y-5)
          newpart.color = 3
          obj.head.hp = obj.head.hp - 1




            
          
      end
        
    end
    obj.grady = obj.grady - 0.0075
  end
  
  if obj.intro == 1 and states.game.gameover == false and not obj.dead then
    if obj.i % 100 == 0 then
      obj.spawnbug()
    end
    if obj.i % 150 ==0 then
      em.init("fly",80,45)
    end
    if obj.i % 200 == 0 then
      em.init("hand",200,200)
    end
  end
    
  
end

function obj.draw()
  love.graphics.setColor(colors[1])
  love.graphics.draw(obj.arml.spr,obj.arml.x-10, obj.arml.y-90+math.sin(obj.i /10))
  love.graphics.draw(obj.armr.spr,obj.armr.x-10, obj.armr.y-90+math.sin(obj.i /11))
  love.graphics.draw(obj.head.spr,obj.head.x-16, obj.head.y-32+math.sin(obj.i /15))
  love.graphics.draw(obj.gradient,0,obj.grady)
end

return obj