local sweep = {
  active = false,
  i = 0,
  dots = {},
  nextstate = states.menu
}
function sweep.activate()

  sweep.active = true
  for j=1,100 do

    table.insert(sweep.dots,{
      x = love.math.random(0,160),
      y = love.math.random(0,90),
      size = 1
    })
  for i,v in ipairs(sweep.dots) do
    v.size = v.size + 1
  end
  end
  














---
end


function sweep.update(dt)
  if sweep.active then
    sweep.i=sweep.i +1
    if sweep.i < 100 then
      for i,v in ipairs(sweep.dots) do
        v.size = v.size - 1
        if v.size <= 0 then
          table.remove(sweep.dots,i)
        end
      end
    else
      sweep.active = false
      sweep.dots = {}
    end
  end


end

function sweep.draw()

  love.graphics.setColor(colors[2])
  for i,v in ipairs(sweep.dots) do
    love.graphics.circle("fill",v.x,v.y,v.size)

  end
  love.graphics.setColor(colors[1])
end
return sweep