local obj = {
  layer = -3,
  uplayer = 3,
  anim=love.graphics.newImage("assets/game/hand.png"),
  initialized = false,
  delete = false,
  rotation = 0,
  speed = 0.2,
  name = "why",

  vx = 0,
  vy = 0

}


function obj.update(dt)
  if not obj.initialized then
    local spawnloc = math.random(0,3)
    if spawnloc == 0 then
      obj.x = 80
      obj.y= 125
      obj.vy = -1
      obj.rotation = 0
    elseif spawnloc == 1 then
      obj.x = 0
      obj.y = 45
      obj.vx = 1
      obj.rotation = 90
    elseif spawnloc == 2 then
      if states.game.boss then
          obj.x = 80
      obj.y= 125
      obj.vy = -1
      obj.rotation = 0
    else
            obj.x = 80
      obj.y= -35
      obj.vy = 1
      obj.rotation = 180
      end
    else
      obj.x = 160
      obj.y = 45
      obj.vx = -1
      obj.rotation = 270
    end
    obj.initialized = true
  end
  if states.game.gameover then
    em.init("particlegen",obj.x,obj.y)
    obj.delete =true
    
  end
  if not obj.delete then
    local handcol = nil
    if obj.rotation == 0 then
      handcol = {x=obj.x-5,y=obj.y+2,width=10,height=80}
    end
    if obj.rotation == 90 then
      handcol = {x=obj.x-82,y=obj.y-5,width=80,height=10}
    end
    if obj.rotation == 180 then
      handcol = {x=obj.x-4,y=obj.y-82,width=10,height=80}
    end
    if obj.rotation == 270 then
      handcol = {x=obj.x+2,y=obj.y-4,width=80,height=10}
    end
    --collision
    if states.game.pomp.canim == 4 and states.game.pomp.stopped <= 8 and states.game.pomp.stopped >= 4 then
      -- hitbox time
      if helpers.collide(handcol,{x=states.game.pomp.x-3-states.game.pomp.flip*8-(states.game.pomp.flip/2+0.5)*2,y=states.game.pomp.y-16,width=9,height=21}) then
        em.init("particlegen",obj.x,obj.y)
        obj.delete =true
        te.play("assets/sfx_0.wav","static")
        enemieskilled = enemieskilled + 1

          
        
      end
      
    end
    -- check for zoopline
    for i,v in ipairs(entities) do
      if v.name == "zoopline" then
        if helpers.collide(handcol,{x=v.x-1,y=v.y-1,width=3,height=3}) then
        em.init("particlegen",obj.x,obj.y)
          
          if not obj.delete then
          enemieskilled = enemieskilled + 1
          end
          obj.delete = true
          te.play("assets/sfx_0.wav","static")
          
        end
      end
        
      
      
    end
  end
  obj.x = obj.x + obj.vx * obj.speed
  obj.y = obj.y + obj.vy * obj.speed
  obj.layer = obj.y
  if helpers.distance({obj.x,obj.y},{80,45}) <= 8 then
    states.game.fire.hits = states.game.fire.hits + 1
    em.init("particlegen",obj.x,obj.y)
    obj.delete =true
    te.play("assets/sfx_0.wav","static")
  end

  
end

function obj.draw()
  love.graphics.setColor(colors[1])
  love.graphics.draw(obj.anim,obj.x,obj.y,math.rad(obj.rotation),1,1,8,0)

end
return obj