local obj = {
  layer = 0,
  uplayer = 0,
  keep=true,
  
  anim={},
  initialized=false,
  canim=1,
  speed=1,
  flip=1,
  x=0,
  y=0,
  stopped=0,
  marker=nil,
  particles = {}
  
}


function obj.update(dt)
  local dt = 1
  if not obj.initialized then
    -- pbppbpbpbpbppbppbtbptpt
    --idle
    obj.anim[1]=ez.newanim(ez.newtemplate("game/pomp/idle",30,3))
    --move
    obj.anim[2]=ez.newanim(ez.newtemplate("game/pomp/move",30,2))
    --place marker
    obj.anim[3]=ez.newanim(ez.newtemplate("game/pomp/ready",30,3))
    --slash
    obj.anim[4]=ez.newanim(ez.newtemplate("game/pomp/swing",30,2))
      --get up
    obj.anim[5]=ez.newanim(ez.newtemplate("game/pomp/getup",30,1))
    

    obj.input = baton.new {
      controls = {
        left = {"key:left",  "axis:leftx-", "button:dpleft"},
        right = {"key:right", "axis:leftx+", "button:dpright"},
        up = {"key:up", "axis:lefty-", "button:dpup"},
        down = {"key:down", "axis:lefty+", "button:dpdown"},
        slash = {"key:c", "button:a"},
        place = {"key:z", "button:b"},
        zoop = {"key:x", "button:x"},
        skip = {"key:p", "button:guide"},
      },
      pairs = {
        lr = {"left", "right", "up", "down"}
      },
        joystick = love.joystick.getJoysticks()[1],
    }
    local deltx, delty = 0,0
    obj.initialized = true
  end
  
  
  obj.input:update()
  if obj.input:pressed("skip") and states.game.gamestarted == false then
    --states.game.introi = 2500
    --watched_tutorial = true
    --enemieskilled = 150
    
    
  end
  if obj.stopped == 0 then
    if obj.input:pressed("slash") or obj.input:pressed("place") or obj.input:pressed("zoop") then
      if obj.input:pressed("slash") then
        obj.stopped = 10
        obj.canim = 4
        if not states.game.gameover then
        te.play("assets/sfx_1.wav","static")
        end
      elseif obj.input:pressed("place") then
        if not states.game.gameover then
        te.play("assets/sfx_3.wav","static")
        end
        obj.stopped=9
        obj.canim = 3
        if obj.marker ~= nil then
          obj.marker.delete = true
        end
        obj.marker = em.init("marker",obj.x,obj.y)
      elseif obj.input:pressed("zoop") then
        if obj.marker ~= nil then
          if not states.game.gameover then
          te.play("assets/sfx_2.wav","static")
          end
          obj.stopped = 3
          obj.canim = 5
          local oldx, oldy = obj.x, obj.y
          obj.x = math.floor(obj.x + (obj.marker.x - obj.x) *1.9)
          obj.y = math.floor(obj.y + (obj.marker.y - obj.y) *1.9)
          local hitline = helpers.makeline(oldx,oldy,obj.x,obj.y)
          for i,v in ipairs(hitline) do
            em.init("zoopline",v[1],v[2])
          end
        else
          if not states.game.gameover then
          te.play("assets/sfx_3.wav","static")
          end
          obj.marker = em.init("marker",obj.x,obj.y)
          obj.stopped=9
          obj.canim = 3
        end
      end
      
      
    else
    
      deltx, delty = obj.input:getRaw "lr"
       if helpers.round(deltx,true) ~= 0 or helpers.round(delty,true) ~= 0 then
        obj.canim = 2
      else
        obj.canim = 1
      end
      
      deltx = deltx * obj.speed * dt
      delty = delty * obj.speed * dt
      obj.x = obj.x + helpers.round(deltx,true)
      obj.y = obj.y + helpers.round(delty,true)

      
      if obj.input:down("left") then
        obj.flip = 1
      end
      if obj.input:down("right") then
        obj.flip = -1
      end
    end
    obj.layer = obj.y
    
   -- hey you! DPS from da future! Add some padding to all the sprites, that way you can have a bigger sword swing. I would go with 20x20
  -- hi its me dps from the future, i scrapped it cause i couldnt make it not look like a penis.
  --- hi its dps after you played animal crossing, just make the sword bigger in all the otehr sprites! and make it straight (unlike you) 
  --24*24 deumbass, ssee idle
  --fcuk it 30x30
  
  
  -- ok so heres gameplay
  -- you can set down a 'marker' (will animate)
  -- and sorta slash through that marker at any time\
  --
  --  P
  --            X2
  --         M
  --      P2   
  --                X
  --X is where the player would end up if they slash thru
    
  else
    deltx, delty = 0,0
    obj.stopped = obj.stopped - 1
  end
  



  

  
  
  
  for i,v in ipairs(obj.anim) do
    if i==obj.canim then
      ez.animupdate(v,dt)
    else
      ez.resetanim(v)
    end
    
  end
  if obj.x < 0 then
    obj.x = 0
  end
  if obj.x > 160 then
    obj.x = 160
  end
  if obj.y < 5 then
    obj.y = 5
  end
  if obj.y > 90 then
    obj.y = 90
  end


  
end

function obj.draw()
  love.graphics.setColor(colors[1])
  ez.animdraw(obj.anim[obj.canim],obj.x+(15-(obj.flip*15))-15,obj.y-24,0,obj.flip,1)
  --hitbox
  --love.graphics.rectangle("line",obj.x-3-obj.flip*8-(obj.flip/2+0.5)*2,obj.y-16,9,21)
end
return obj